Name: clam-networkeditor
Version: 1.3.0
Release: alt1

Summary: The Network Editor is the application for editing CLAM networks
License: GPLv2+
Group: Sound
Url: http://clam-project.org/

Packager: Timur Batyrshin <erthad@altlinux.org>
Source0: %name-%version.tar.bz2

BuildRequires: gcc-c++ libclam-devel qt4-devel ladspa_sdk jackit-devel ImageMagick-tools

%description
CLAM Network Editor, prototyping tool for CLAM.

The CLAM Network Editor is a tool for editing CLAM processing networks.
Those processing networks can become the processing core of an audio
application by using the CLAM::NetworkPlayer class in such program, or by
using the CLAM Prototyper to link the network to a Qt Designer interface.

This packages provides both the Network Editor and the Prototyper.
It also provides a plugin for Qt Designer which adds widgets to display
several kinds of CLAM audio objects from a running network.

%prep
%setup

%build
sed -i "s,/share/networkeditor,/share/clam-networkeditor," $(grep -lr 'share/networkeditor' *)
install -dm 755 %buildroot%_prefix

[ -n "$NPROCS" ] || NPROCS=1

scons -j$NPROCS \
        prefix=%buildroot%_prefix \
        clam_prefix=%_prefix \
        clam_sconstools=%_prefix \
	qt_plugins_install_path=/%_lib/qt4/plugins/designer
        release=1

%install
install -dm 755 %buildroot%_prefix
scons install \
      prefix=%buildroot%_prefix

for file in example-data/experimental/*; do
	install -pD -m0644 $file %buildroot%_datadir/clam-networkeditor/$file
done

for file in %buildroot%_datadir/clam-networkeditor/example-data/*.clamnetwork \
            %buildroot%_datadir/clam-networkeditor/example-data/experimental/*.clamnetwork; do
	    sed -i "s,>example-data/,>%_datadir/clam-networkeditor/example-data/," $file
done

install -dm 755 %buildroot%_liconsdir
convert -resize 48x48 resources/NetworkEditor-icon.png %buildroot%_liconsdir/clam-networkeditor.png
convert -resize 48x48 resources/NetworkEditor-icon.png %buildroot%_liconsdir/clam-prototyper.png

%files 
%doc CHANGES COPYING INSTALL README
%_bindir/NetworkEditor
%_bindir/OfflinePlayer
%_bindir/Prototyper
%_qt4dir/plugins/designer/*
%_man1dir/NetworkEditor*
%_man1dir/Prototyper*
%dir %_datadir/clam-networkeditor
%_datadir/clam-networkeditor/NetworkEditor-icon.svg
%dir %_datadir/clam-networkeditor/i18n
%_datadir/clam-networkeditor/i18n/*.qm
%_datadir/mime/packages/clam-network.xml
%_datadir/mimelnk/application/vnd.clam.network.desktop
%_datadir/applications/NetworkEditor.desktop
%_datadir/applications/Prototyper.desktop
%_liconsdir/*
%dir %_datadir/clam-networkeditor/example-data
%_datadir/clam-networkeditor/example-data/*


%changelog
* Wed Jul 22 2009 Timur Batyrshin <erthad@altlinux.org> 1.3.0-alt1
- initial build
